
Name:       kvantum-qt5
Summary:    SVG-based theme engine for Qt5
Version: 	1.0.10
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        https://github.com/tsujan/Kvantum
Source0:    Kvantum-%{version}.tar.xz
Source1:    kvantummanager.desktop
#---------------------------------------------
BuildRequires: cmake
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64x11-devel
BuildRequires: libstdc++-devel
BuildRequires: libxcb-devel
BuildRequires: qtbase5-common-devel
BuildRequires: qttools5
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64qt5help-devel
#----------------------------------------------

%description
Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, 
with an emphasis on elegance, usability and practicality.

%files
#------------------------------------------------------------------------------
%{_bindir}/kvantummanager
%{_bindir}/kvantumpreview
%{_libdir}/qt5/plugins/styles/libkvantum.so
%{_datadir}/Kvantum
%{_datadir}/applications/kvantummanager.desktop
%{_datadir}/color-schemes
%{_datadir}/icons/hicolor/scalable/apps/kvantum.svg
%dir %{_datadir}/kvantummanager
%{_datadir}/kvantummanager/translations/kvantummanager_*.qm
%{_datadir}/kvantumpreview/translations/kvantumpreview_*.qm


%prep
%setup -qn Kvantum-%{version}
%apply_patches

%build
pushd Kvantum
mkdir build && cd build
cmake ..
%make

%install
rm -rf %buildroot
pushd Kvantum/build
%make_install
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/kvantummanager.desktop
rm -rf %buildroot/%{_datadir}/kde4

%changelog
* Tue Apr 18 2023 daniel - 1.0.10-1pclos2023
- new version

* Wed Feb 15 2023 tex - 1.0.9-2pclos2023                                                                                                                                                       
- rebuild against updates 

* Fri Feb 10 2023 daniel - 1.0.9-1pclos2023
- update

* Sun Dec 04 2022 daniel - 1.0.7-1pclos2022
- new version

* Thu Oct 27 2022 daniel - 1.0.6-1pclos2022
- new version

* Mon Oct 03 2022 daniel - 1.0.5-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.0.4-2pclos2022
- rebuild against updates

* Sun Aug 07 2022 daniel - 1.0.4-1pclos2022
- update

* Sat Jun 04 2022 daniel - 1.0.2-1pclos2022
- update

* Thu Feb 24 2022 daniel - 1.0.1-1pclos2022
- update
 
* Tue Dec 21 2021 daniel <> 1.0.0-1pclos2021
- update

* Mon Sep 20 2021 daniel <> 0.20.2-1pclos2021
- update

* Thu Jul 22 2021 tex - 0.20.1-1pclos2021
- new version

* Mon Jun 14 2021 daniel <> 0.20.0-1pclos2021
- update

* Fri Mar 12 2021 daniel <> 0.19.0-1pclos2021
- update

* Sun Jan 10 2021 daniel <meisssw01 at gmail.com> 0.18.0-1pclos2021
- 0.18.0

* Sun Oct 11 2020 tex - 0.17.0-1pclos2020
- new version

* Fri Jun 26 2020 daniel <meisssw01 at gmyil.com> 0.16.0-1pclos2020
- 0.16.0

* Mon May 18 2020 daniel <meisssw01 at gmail.com> 0.15.3-1pclos2020
- update

* Fri Apr 06 2018 bb2 <bb2> - 0.10.5-1pclos2018
- create package
